Bug 120446 - advansys scsi driver not on driver disk image
advansys scsi driver not on driver disk image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 16:17 EDT by Lee Olsen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:18:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Olsen 2004-04-08 16:17:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Make boot and driver floppies from the cdrom images files
2.install from floppy
3.specify scsi cdrom, driver from driver disk
    

Actual Results:  Advansys driver not found

Additional info:

If you no longer support i486 and below, perhaps adaptec 152x and 1542
and other isa-only drivers can be dropped as well. The advansys driver
supports fast and ultra, narrow and wide, isa and pci. The cards are
oem'ed and show up under many other names, min happens to be SIIG.
Comment 1 Jeremy Katz 2004-04-11 14:29:20 EDT
This is because the driver is in kernel-unsupported.
Comment 2 Jeff Schultz 2004-08-04 20:14:20 EDT
Is this also the reason for the following install failure on FC2?

# rpm -iv kernel-2.6.7-1.494.2.2.i686.rpm
Preparing packages for installation...
kernel-2.6.7-1.494.2.2
No module advansys found for kernel 2.6.7-1.494.2.2, aborting.
mkinitrd failed
/

BTW, it's not good that up2date claims to have successfully installed
this RPM on this machine.  The errors do show up in the shell I
started it from, but not in the GUI.

Comment 3 Paul Howarth 2004-08-05 10:53:16 EDT
Could you give my workaround a try?

http://www.city-fan.org/ftp/contrib/drivers/advansys/

I've only built this today (5 August 2004) and tried it on a couple of
machines but it's working for kernel 2.6.7-1.494.2.2 on the boxes I've
tried.
Comment 4 David Lawrence 2004-09-29 16:18:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.